using System;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        Loaded += Page_Loaded;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region  ε óϱ - Page_Loaded(sender, e)

    /// <summary>
    ///  ε óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private async void Page_Loaded(object sender, RoutedEventArgs e)
    {
        string html = @"
<!DOCTYPE html>
<html>
    <body>
        <h1>.NET WinUI 3</h1>
        <p>Welcome to WebView.</p>
    </body>
</html>
";

        await this.webView2.EnsureCoreWebView2Async();

        this.webView2.NavigateToString(html);
    }

    #endregion
}